## trove-dashboard 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
# Horizon Core Requirements
Babel>=1.3
Django<1.9,>=1.8
django-compressor>=1.4
django-openstack-auth>=2.0.0
iso8601>=0.1.9
python-keystoneclient!=1.8.0,>=1.6.0
python-swiftclient>=2.2.0
python-troveclient>=1.2.0

=== debian/changelog ===
trove-dashboard (6.0.0-1ubuntu1) xenial; urgency=medium

  * d/python-trove-dashboard.postinst: Align with openstack-dashboard
    and use chown horizon instead of www-data (LP: #1755027).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Mar 2018 09:27:44 -0400

trove-dashboard (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 22:32:56 +0200

trove-dashboard (6.0.0~rc2-1) unstable; urgency=medium

  * Initial release. (Closes: #812963)

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 21:39:26 +0800

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 9.0.0~b2),
                     python-babel,
                     python-coverage,
                     python-ddt (>= 0.7.0),
                     python-django (>= 1.8),
                     python-django-compressor (>= 1.4),
                     python-django-nose (>= 1.2),
                     python-django-openstack-auth (>= 2.0.0),
                     python-hacking,
                     python-iso8601,
                     python-keystoneclient (>= 1.6.0),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-oslosphinx (>= 2.5.0),
                     python-selenium,
                     python-swiftclient (>= 2.2.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1.2.0),
                     python-unittest2,
                     python-xvfbwrapper,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/openstack/trove-dashboard.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/trove-dashboard.git/
Homepage: https://github.com/stackforge/trove-dashboard

Package: python-trove-dashboard
Architecture: all
Depends: openstack-dashboard (>= 9.0.0~b2),
         python-babel,
         python-django (>= 1.8),
         python-django-compressor (>= 1.4),
         python-django-openstack-auth (>= 2.0.0),
         python-iso8601,
         python-keystoneclient (>= 1.6.0),
         python-pbr (>= 1.8),
         python-swiftclient (>= 2.2.0),
         python-troveclient (>= 1.2.0),
         ${misc:Depends},
         ${python:Depends},
Description: Database as a Service for OpenStack - dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/trove-dashboard.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
		python-coverage run \
		$(CURDIR)/manage.py test trove_dashboard --settings=trove_dashboard.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils

	# Activates the trove_dashboard plugin in Horizon
	# trove_dashboard/enabled/_17*
	set -e ; for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-trove-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
		cp $(CURDIR)/trove_dashboard/enabled/_17* $(CURDIR)/debian/python-trove-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
	done
	mkdir -p $(CURDIR)/debian/python-trove-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/trove_dashboard/enabled/_17*.py $(CURDIR)/debian/python-trove-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled

## trove-dashboard 7.0.0~rc2

=== debian/changelog ===
trove-dashboard (7.0.0~rc2-1+29~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 29 Sep 2016 11:49:51 +0000

trove-dashboard (7.0.0~rc2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Thomas Goirand ]
  * Added missing EPOC in (build-)depends: openstack-dashboard.
  * Missing EPOC for keystoneclient and swiftclient as well.
  * New upstream release.
  * Using OpenStack's Gerrit as VCS URLs:
    - Point .gitreview to packaging-deb project.
    - Add .gitreview to extend-diff-ignore.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 17:58:57 +0200

## trove-dashboard 7.0.0

=== debian/changelog ===
trove-dashboard (7.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Add upstream patch to fix Django 1.10 compat (Closes: #837238).

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Dec 2016 16:41:50 +0100

trove-dashboard (7.0.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Added missing EPOC in (build-)depends: openstack-dashboard.
  * Missing EPOC for keystoneclient and swiftclient as well.
  * New upstream release.
  * Using OpenStack's Gerrit as VCS URLs:
    - Point .gitreview to packaging-deb project.
    - Add .gitreview to extend-diff-ignore.

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 18:28:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: openstack-dashboard (>= 9.0.0~b2),
+Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc2),
                      python-babel,
                      python-coverage,
                      python-ddt (>= 0.7.0),
@@ -20,12 +20,12 @@
                      python-django-openstack-auth (>= 2.0.0),
                      python-hacking,
                      python-iso8601,
-                     python-keystoneclient (>= 1.6.0),
+                     python-keystoneclient (>= 1:1.6.0),
                      python-mock (>= 1.2),
                      python-mox3 (>= 0.7.0),
                      python-oslosphinx (>= 2.5.0),
                      python-selenium,
-                     python-swiftclient (>= 2.2.0),
+                     python-swiftclient (>= 1:2.2.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-troveclient (>= 1.2.0),
@@ -33,22 +33,22 @@
                      python-xvfbwrapper,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/openstack/trove-dashboard.git
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/trove-dashboard.git/
+Standards-Version: 3.9.8
+Vcs-Git: https://git.openstack.org/openstack/deb-trove-dashboard -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-trove-dashboard?h=debian%2Fnewton
 Homepage: https://github.com/stackforge/trove-dashboard
 
 Package: python-trove-dashboard
 Architecture: all
-Depends: openstack-dashboard (>= 9.0.0~b2),
+Depends: openstack-dashboard (>= 3:10.0.0~rc2),
          python-babel,
          python-django (>= 1.8),
          python-django-compressor (>= 1.4),
          python-django-openstack-auth (>= 2.0.0),
          python-iso8601,
-         python-keystoneclient (>= 1.6.0),
+         python-keystoneclient (>= 1:1.6.0),
          python-pbr (>= 1.8),
-         python-swiftclient (>= 2.2.0),
+         python-swiftclient (>= 1:2.2.0),
          python-troveclient (>= 1.2.0),
          ${misc:Depends},
          ${python:Depends},

## trove-dashboard 8.0.0~b3

=== debian/changelog ===
trove-dashboard (8.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/python-trove-dashboard.postinst: Only remove .secret_key_store
    if it exists.
  * d/rules: Get orig tarball from openstack.org.
  * New upstream milestone for OpenStack Ocata.
  * d/p/Fix_Django_1.10_Compatibility.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jan 2017 14:22:56 -0500

## trove-dashboard 8.0.0~rc2

=== debian/changelog ===
trove-dashboard (8.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Feb 2017 08:48:00 -0500

trove-dashboard (8.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 14:46:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: trove-dashboard
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -34,8 +35,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Git: https://git.openstack.org/openstack/deb-trove-dashboard -b debian/newton
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-trove-dashboard?h=debian%2Fnewton
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
 Homepage: https://github.com/stackforge/trove-dashboard
 
 Package: python-trove-dashboard

## trove-dashboard 8.0.0

=== debian/changelog ===
trove-dashboard (8.0.0-0ubuntu1~cloud1) xenial-ocata; urgency=medium

  * d/python-trove-dashboard.postinst: Align with openstack-dashboard
    and use chown horizon instead of www-data (LP: #1755027).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 17:51:09 -0400

trove-dashboard (8.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 22 Feb 2017 15:18:30 +0000

trove-dashboard (8.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:34:19 -0500

## trove-dashboard 9.0.0~b1

=== debian/changelog ===
trove-dashboard (9.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Sun, 30 Apr 2017 13:09:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc2),
                      python-babel,
                      python-coverage,
@@ -48,7 +48,7 @@
          python-django-openstack-auth (>= 2.0.0),
          python-iso8601,
          python-keystoneclient (>= 1:1.6.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-swiftclient (>= 1:2.2.0),
          python-troveclient (>= 1.2.0),
          ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/trove-dashboard trove-dashboard-(\d.*)\.tar\.gz

## trove-dashboard 9.0.0~rc1

=== debian/changelog ===
trove-dashboard (9.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/p/skip-test.patch: Skip test that is failing upstream and in
    package build on 9.0.0.0rc1.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:46:26 -0400

## trove-dashboard 9.0.0

=== debian/changelog ===
trove-dashboard (9.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 01 Sep 2017 08:42:43 -0400

## trove-dashboard 10.0.0~b1

=== debian/changelog ===
trove-dashboard (10.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/watch: Scope to Queens series.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Dec 2017 11:40:23 -0500

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.5.1),
Build-Depends-Indep:
 openstack-dashboard (>= 3:10.0.0~rc2),
 python-babel,
 python-coverage,
 python-ddt (>= 0.7.0),
 python-django (>= 1.8),
 python-django-compressor (>= 1.4),
 python-django-nose (>= 1.2),
 python-django-openstack-auth (>= 2.0.0),
 python-hacking,
 python-iso8601,
 python-keystoneclient (>= 1:1.6.0),
 python-mock (>= 1.2),
 python-mox3 (>= 0.7.0),
 python-oslosphinx (>= 2.5.0),
 python-selenium,
 python-swiftclient (>= 1:2.2.0),
 python-testscenarios,
 python-testtools (>= 1.4.0),
 python-troveclient (>= 1.2.0),
 python-unittest2,
 python-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
Homepage: https://github.com/stackforge/trove-dashboard

Package: python-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:10.0.0~rc2),
 python-babel,
 python-django (>= 1.8),
 python-django-compressor (>= 1.4),
 python-django-openstack-auth (>= 2.0.0),
 python-iso8601,
 python-keystoneclient (>= 1:1.6.0),
 python-pbr (>= 2.0.0),
 python-swiftclient (>= 1:2.2.0),
 python-troveclient (>= 1.2.0),
 ${misc:Depends},
 ${python:Depends},
Description: Database as a Service for OpenStack - dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove dashboard plugin.

## trove-dashboard 10.0.0~b3

=== debian/changelog ===
trove-dashboard (10.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/python-trove-dashboard.postinst: Align with horizon and other
    dashboards by switching to using horizon instead of www-data.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 15:25:19 -0500

trove-dashboard (10.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 13:23:43 -0500

## trove-dashboard 10.0.0~rc1

=== debian/changelog ===
trove-dashboard (10.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 08:56:47 -0500

## trove-dashboard 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Babel>=1.3
 Django<1.9,>=1.8
 django-compressor>=1.4
-django-openstack-auth>=2.0.0
 iso8601>=0.1.9
+oslo.log>=3.30.0 # Apache-2.0
 python-keystoneclient!=1.8.0,>=1.6.0
 python-swiftclient>=2.2.0
 python-troveclient>=1.2.0

=== debian/changelog ===
trove-dashboard (10.0.0-0ubuntu1.1) bionic; urgency=medium

  * d/python-trove-dashboard.postinst: Ensure /var/lib/openstack-dashboard
    exists before chown.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 21:05:49 -0400

trove-dashboard (10.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:54:47 -0500

=== debian/control ===
--- 
+++ 
@@ -12,29 +12,33 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.5.1),
+ python-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  openstack-dashboard (>= 3:10.0.0~rc2),
- python-babel,
- python-coverage,
+ python-babel (>= 1.3),
+ python-coverage (>= 3.6),
  python-ddt (>= 0.7.0),
  python-django (>= 1.8),
  python-django-compressor (>= 1.4),
  python-django-nose (>= 1.2),
  python-django-openstack-auth (>= 2.0.0),
- python-hacking,
- python-iso8601,
+ python-hacking (>= 0.10.0),
+ python-iso8601 (>= 0.1.9),
  python-keystoneclient (>= 1:1.6.0),
  python-mock (>= 1.2),
  python-mox3 (>= 0.7.0),
+ python-openstackdocstheme (>= 1.17.0),
+ python-oslo.log (>= 3.30.0),
  python-oslosphinx (>= 2.5.0),
  python-selenium,
+ python-subunit (>= 0.0.18),
  python-swiftclient (>= 1:2.2.0),
- python-testscenarios,
+ python-testrepository (>= 0.0.18),
+ python-testscenarios (>= 0.4),
  python-testtools (>= 1.4.0),
- python-troveclient (>= 1.2.0),
+ python-troveclient (>= 1:1.2.0),
  python-unittest2,
- python-xvfbwrapper,
+ python-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
 Standards-Version: 4.1.2
@@ -46,15 +50,16 @@
 Architecture: all
 Depends:
  openstack-dashboard (>= 3:10.0.0~rc2),
- python-babel,
+ python-babel (>= 1.3),
  python-django (>= 1.8),
  python-django-compressor (>= 1.4),
  python-django-openstack-auth (>= 2.0.0),
- python-iso8601,
+ python-iso8601 (>= 0.1.9),
  python-keystoneclient (>= 1:1.6.0),
+ python-oslo.log (>= 3.30.0),
  python-pbr (>= 2.0.0),
  python-swiftclient (>= 1:2.2.0),
- python-troveclient (>= 1.2.0),
+ python-troveclient (>= 1:1.2.0),
  ${misc:Depends},
  ${python:Depends},
 Description: Database as a Service for OpenStack - dashboard plugin

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 PYTHONS:=$(shell pyversions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/trove-dashboard.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/trove-dashboard trove-dashboard-(10\.\d.*)\.tar\.gz

## trove-dashboard 11.0.0~b1

=== debian/changelog ===
trove-dashboard (11.0.0~b1-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-trove-dashboard package.
    - d/control: Make python(3)-trove-dashboard conflict against each
      other.
    - d/rules: Add Py3 support.
    - python(3)-trove-dashboard.postinst: Added py3 postinst script
      and updated both scripts to ensure proper python binary is used when
      collecting/compressing static assets.
  * d/rules: Drop dup cp of dashboards. python-django-horizon uses update-
    alternatives to point /usr/share/openstack-dashboard/openstack_dashboard
    at /usr/lib/python*/dist-packages/openstack_dashboard.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jul 2018 18:26:54 -0400

trove-dashboard (11.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/remove-table-UpdateAction-and-declare-mox-dependency.patch:
    Cherry-picked from upstream master branch to fix failing tests.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/copyright: Use https URLs.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.
  * d/control: Update Homepage location.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 10:43:49 -0400

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,18 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
+ python3-all,
+ python3-pbr (>= 2.0.0),
+ python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:10.0.0~rc2),
+ openstack-dashboard (>= 3:14.0.0~),
  python-babel (>= 1.3),
  python-coverage (>= 3.6),
  python-ddt (>= 0.7.0),
  python-django (>= 1.8),
  python-django-compressor (>= 1.4),
+ python-django-horizon (>= 3:14.0.0~),
  python-django-nose (>= 1.2),
  python-django-openstack-auth (>= 2.0.0),
  python-hacking (>= 0.10.0),
@@ -39,20 +43,47 @@
  python-troveclient (>= 1:1.2.0),
  python-unittest2,
  python-xvfbwrapper (>= 0.1.3),
+ python3-babel (>= 1.3),
+ python3-coverage (>= 3.6),
+ python3-ddt (>= 0.7.0),
+ python3-django (>= 1.8),
+ python3-django-compressor (>= 1.4),
+ python3-django-horizon (>= 3:14.0.0~),
+ python3-django-nose (>= 1.2),
+ python3-django-openstack-auth (>= 2.0.0),
+ python3-hacking (>= 0.10.0),
+ python3-iso8601 (>= 0.1.9),
+ python3-keystoneclient (>= 1:1.6.0),
+ python3-mock (>= 1.2),
+ python3-mox3 (>= 0.7.0),
+ python3-openstackdocstheme (>= 1.17.0),
+ python3-oslo.log (>= 3.30.0),
+ python3-oslosphinx (>= 2.5.0),
+ python3-selenium,
+ python3-subunit (>= 0.0.18),
+ python3-swiftclient (>= 1:2.2.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 1.4.0),
+ python3-troveclient (>= 1:1.2.0),
+ python3-unittest2,
+ python3-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
-Standards-Version: 4.1.2
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
+Standards-Version: 4.1.4
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
-Homepage: https://github.com/stackforge/trove-dashboard
+Homepage: https://github.com/openstack/trove-dashboard
+Testsuite: autopkgtest-pkg-python
 
 Package: python-trove-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:10.0.0~rc2),
+ openstack-dashboard (>= 3:14.0.0~),
  python-babel (>= 1.3),
  python-django (>= 1.8),
  python-django-compressor (>= 1.4),
+ python-django-horizon (>= 3:14.0.0~),
  python-django-openstack-auth (>= 2.0.0),
  python-iso8601 (>= 0.1.9),
  python-keystoneclient (>= 1:1.6.0),
@@ -62,7 +93,9 @@
  python-troveclient (>= 1:1.2.0),
  ${misc:Depends},
  ${python:Depends},
-Description: Database as a Service for OpenStack - dashboard plugin
+Conflicts:
+ python3-trove-dashboard,
+Description: Database as a Service for OpenStack - Python 2 dashboard plugin
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
  features of a relational database without the burden of handling complex
@@ -75,4 +108,38 @@
  Nova is configured, since Trove interacts with other OpenStack components
  purely through the API.
  .
- This package provides the Trove dashboard plugin.
+ This package provides the Python 2 Trove dashboard plugin.
+
+Package: python3-trove-dashboard
+Architecture: all
+Depends:
+ openstack-dashboard (>= 3:14.0.0~),
+ python3-babel (>= 1.3),
+ python3-django (>= 1.8),
+ python3-django-compressor (>= 1.4),
+ python3-django-horizon (>= 3:14.0.0~),
+ python3-django-openstack-auth (>= 2.0.0),
+ python3-iso8601 (>= 0.1.9),
+ python3-keystoneclient (>= 1:1.6.0),
+ python3-oslo.log (>= 3.30.0),
+ python3-pbr (>= 2.0.0),
+ python3-swiftclient (>= 1:2.2.0),
+ python3-troveclient (>= 1:1.2.0),
+ ${misc:Depends},
+ ${python3:Depends},
+Conflicts:
+ python-trove-dashboard,
+Description: Database as a Service for OpenStack - Python 3 dashboard plugin
+ Trove is Database as a Service for Openstack. It's designed to run entirely on
+ OpenStack, with the goal of allowing users to quickly and easily utilize the
+ features of a relational database without the burden of handling complex
+ administrative tasks. Cloud users and database administrators can provision
+ and manage multiple database instances as needed. Initially, the service will
+ focus on providing resource isolation at high performance while automating
+ complex administrative tasks including deployment, configuration, patching,
+ backups, restores, and monitoring. Trove is designed to support a
+ single-tenant database within a Nova instance. There is no restrictions on how
+ Nova is configured, since Trove interacts with other OpenStack components
+ purely through the API.
+ .
+ This package provides the Python 3 Trove dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
		python-coverage run \
		$(CURDIR)/manage.py test trove_dashboard --settings=trove_dashboard.test.settings
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
		python3-coverage run \
		$(CURDIR)/manage.py test trove_dashboard --settings=trove_dashboard.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install

	# Activates the trove_dashboard plugin in Horizon - Python 2
	# trove_dashboard/enabled/_17*
	mkdir -p $(CURDIR)/debian/python-trove-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/trove_dashboard/enabled/_17* $(CURDIR)/debian/python-trove-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \

	# Activates the trove_dashboard plugin in Horizon - Python 3
	# trove_dashboard/enabled/_17*
	mkdir -p $(CURDIR)/debian/python3-trove-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/trove_dashboard/enabled/_17* $(CURDIR)/debian/python3-trove-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/trove-dashboard trove-dashboard-(11\.\d.*)\.tar\.gz

## trove-dashboard 11.0.0~rc1

=== debian/changelog ===
trove-dashboard (11.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/p/skip-test.patch: Rebased.
  * d/p/removed-failed-test.patch: Removed. No longer needed.
  * d/p/remove-table-UpdateAction-and-declare-mox-dependency.patch: Dropped.
    Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 12:16:33 -0400

trove-dashboard (11.0.0~b1-0ubuntu3) cosmic; urgency=medium

  * d/control: Drop python(3)-trove-dashboard conflicts to align with
    other dashboards.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 11:35:24 -0400

=== debian/control ===
--- 
+++ 
@@ -93,8 +93,6 @@
  python-troveclient (>= 1:1.2.0),
  ${misc:Depends},
  ${python:Depends},
-Conflicts:
- python3-trove-dashboard,
 Description: Database as a Service for OpenStack - Python 2 dashboard plugin
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -127,8 +125,6 @@
  python3-troveclient (>= 1:1.2.0),
  ${misc:Depends},
  ${python3:Depends},
-Conflicts:
- python-trove-dashboard,
 Description: Database as a Service for OpenStack - Python 3 dashboard plugin
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the

## trove-dashboard 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
oslo.log>=3.30.0 # Apache-2.0
python-swiftclient>=2.2.0
python-troveclient>=1.2.0
horizon>=13.0.0  # Apache-2.0

=== debian/changelog ===
trove-dashboard (11.0.0-2) unstable; urgency=medium

  * Redesign trove-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
  * d/copyright: Update copyright
  * d/control: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 20:28:52 +0100

trove-dashboard (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:41:03 +0200

trove-dashboard (11.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove all 4 patches for Py3 (applied upstream).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Aug 2018 13:59:14 +0200

trove-dashboard (10.0.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Updated (build-)depends for this release.
  * Added missing EPOC in (build-)depends: openstack-dashboard.
  * Missing EPOC for keystoneclient and swiftclient as well.
  * Switch to Python 3.
  * Apply 4 upstream patches for Python 3 fix.
  * Test with all versions of Python 3, and use -v 2.
  * Standards-Version is now 4.1.3.

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Deprecating priority extra as per policy 4.0.1.
  * Add Fix_binascii_hexlify_under_Python_3.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Mar 2018 16:51:39 +0000

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~rc2),
 python3-coverage,
 python3-ddt,
 python3-django (<< 2:2),
 python3-django-nose,
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.log (>= 3.30.0),
 python3-selenium (>= 2.50.1),
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-unittest2,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/openstack-team/services/trove-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/trove-dashboard
Homepage: https://github.com/stackforge/trove-dashboard

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc2),
 python3-django (<< 2:2),
 python3-oslo.log (>= 3.30.0),
 python3-pbr,
 python3-swiftclient,
 python3-troveclient,
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/trove_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/trove_dashboard
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/trove_dashboard/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHON3S) ; do \
		NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
			python3 -m coverage run \
			$(CURDIR)/manage.py test -v 2 trove_dashboard --settings=trove_dashboard.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## trove-dashboard 12.0.0~b1~git2018112016.bda4bd1

=== requirements.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 oslo.log>=3.30.0 # Apache-2.0
 python-swiftclient>=2.2.0
 python-troveclient>=1.2.0
-horizon>=13.0.0  # Apache-2.0
+horizon>=14.0.0.0b3  # Apache-2.0

=== debian/changelog ===
trove-dashboard (12.0.0~b1~git2018112016.bda4bd1-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 16:39:28 -0500

trove-dashboard (11.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:38:27 -0400

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~),
 python3-babel (>= 1.3),
 python3-coverage (>= 3.6),
 python3-ddt (>= 0.7.0),
 python3-django (>= 1.8),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 3:14.0.0~),
 python3-django-nose (>= 1.2),
 python3-django-openstack-auth (>= 2.0.0),
 python3-hacking (>= 0.10.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-mock (>= 1.2),
 python3-mox3 (>= 0.7.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.log (>= 3.30.0),
 python3-oslosphinx (>= 2.5.0),
 python3-selenium,
 python3-subunit (>= 0.0.18),
 python3-swiftclient (>= 1:2.2.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 1.4.0),
 python3-troveclient (>= 1:1.2.0),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/trove-dashboard
Homepage: https://github.com/openstack/trove-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~),
 python3-babel (>= 1.3),
 python3-django (>= 1.8),
 python3-django-compressor (>= 1.4),
 python3-django-horizon (>= 3:14.0.0~),
 python3-django-openstack-auth (>= 2.0.0),
 python3-iso8601 (>= 0.1.9),
 python3-keystoneclient (>= 1:1.6.0),
 python3-oslo.log (>= 3.30.0),
 python3-pbr (>= 2.0.0),
 python3-swiftclient (>= 1:2.2.0),
 python3-troveclient (>= 1:1.2.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Database as a Service for OpenStack - Python 3 dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Python 3 Trove dashboard plugin.

## trove-dashboard 12.0.0~b1~git2019013120.3d091ed

=== debian/changelog ===
trove-dashboard (12.0.0~b1~git2019013120.3d091ed-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 20:58:17 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
		python3-coverage run \
		$(CURDIR)/manage.py test trove_dashboard --settings=trove_dashboard.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the trove_dashboard plugin in Horizon - Python 3
	# trove_dashboard/enabled/_17*
	mkdir -p $(CURDIR)/debian/python3-trove-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/trove_dashboard/enabled/_17* $(CURDIR)/debian/python3-trove-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

## trove-dashboard 12.0.0~rc1

=== debian/changelog ===
trove-dashboard (12.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 12.x series.
  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 14:02:31 -0400

## trove-dashboard 12.0.0

=== debian/changelog ===
trove-dashboard (12.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:30:15 +0100

=== debian/control ===
--- 
+++ 
@@ -17,16 +17,16 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 1.3),
  python3-coverage (>= 3.6),
  python3-ddt (>= 0.7.0),
  python3-django (>= 1.8),
  python3-django-compressor (>= 1.4),
- python3-django-horizon (>= 3:14.0.0~),
+ python3-django-horizon (>= 3:14.0.0),
  python3-django-nose (>= 1.2),
  python3-django-openstack-auth (>= 2.0.0),
- python3-hacking (>= 0.10.0),
+ python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.9),
  python3-keystoneclient (>= 1:1.6.0),
  python3-mock (>= 1.2),
@@ -34,7 +34,8 @@
  python3-openstackdocstheme (>= 1.17.0),
  python3-oslo.log (>= 3.30.0),
  python3-oslosphinx (>= 2.5.0),
- python3-selenium,
+ python3-reno (>= 1.6.2),
+ python3-selenium (>= 2.50.1),
  python3-subunit (>= 0.0.18),
  python3-swiftclient (>= 1:2.2.0),
  python3-testrepository (>= 0.0.18),
@@ -54,11 +55,11 @@
 Package: python3-trove-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~),
+ openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 1.3),
  python3-django (>= 1.8),
  python3-django-compressor (>= 1.4),
- python3-django-horizon (>= 3:14.0.0~),
+ python3-django-horizon (>= 3:14.0.0),
  python3-django-openstack-auth (>= 2.0.0),
  python3-iso8601 (>= 0.1.9),
  python3-keystoneclient (>= 1:1.6.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/trove-dashboard trove-dashboard-(12\.\d.*)\.tar\.gz

## trove-dashboard 13.0.0~b1~git2019062012.e16a66d

=== debian/changelog ===
trove-dashboard (13.0.0~b1~git2019062012.e16a66d-0ubuntu1) eoan; urgency=medium

  * New upstream release 13.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:41:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  python-all,
- python-pbr (>= 2.0.0),
+ python-pbr (>= 1.6),
  python-setuptools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 1.6),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
@@ -23,7 +23,7 @@
  python3-ddt (>= 0.7.0),
  python3-django (>= 1.8),
  python3-django-compressor (>= 1.4),
- python3-django-horizon (>= 3:14.0.0),
+ python3-django-horizon (>= 3:14.0.0~),
  python3-django-nose (>= 1.2),
  python3-django-openstack-auth (>= 2.0.0),
  python3-hacking (>= 1.1.0),
@@ -59,12 +59,12 @@
  python3-babel (>= 1.3),
  python3-django (>= 1.8),
  python3-django-compressor (>= 1.4),
- python3-django-horizon (>= 3:14.0.0),
+ python3-django-horizon (>= 3:14.0.0~),
  python3-django-openstack-auth (>= 2.0.0),
  python3-iso8601 (>= 0.1.9),
  python3-keystoneclient (>= 1:1.6.0),
  python3-oslo.log (>= 3.30.0),
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 1.6),
  python3-swiftclient (>= 1:2.2.0),
  python3-troveclient (>= 1:1.2.0),
  ${misc:Depends},

## trove-dashboard 13.0.0~b2~git2019073113.e53d447

=== debian/changelog ===
trove-dashboard (13.0.0~b2~git2019073113.e53d447-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:47:58 -0400

trove-dashboard (13.0.0~b2~git2019073113.e53d447-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Fixed python3-django version.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 13:43:25 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-babel (>= 1.3),
  python3-coverage (>= 3.6),
  python3-ddt (>= 0.7.0),
- python3-django (>= 1.8),
+ python3-django (<< 2:2.2.4),
  python3-django-compressor (>= 1.4),
  python3-django-horizon (>= 3:14.0.0~),
  python3-django-nose (>= 1.2),
@@ -57,7 +57,7 @@
 Depends:
  openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 1.3),
- python3-django (>= 1.8),
+ python3-django (<< 2:2.2.4),
  python3-django-compressor (>= 1.4),
  python3-django-horizon (>= 3:14.0.0~),
  python3-django-openstack-auth (>= 2.0.0),

## trove-dashboard 13.0.0~rc1

=== debian/changelog ===
trove-dashboard (13.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 16:54:10 -0400

trove-dashboard (13.0.0~b2~git2019073113.e53d447-0ubuntu3) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.
  * d/p/skip-django224-tests.patch: Temporarily skip tests that fail with
    python3-django 2:2.2.4. This can be dropped once python3-django 2:2.2.4
    is removed from eoan-proposed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:22:35 -0400
